package com.winhc.bigdata.spark.ng.monitor

/**
 * @author: π
 * @date: 2021/9/9 15:46
 */

case class NgCompanyMonitoArgs(type_id: String //线索id
                               , type_name: String //线索名称
                               , dimension_table: String //维度id
                               , dimension_type: String //维度表名
                               , flow_type: String //流向id 0 -> 流入 1 -> 流出  2->流向未知
                               , info_risk_level: String //线索等级id 1->低级 2->中级 3->高级
                              )

object CompanyMonitorMappings {
  val args: Seq[NgCompanyMonitoArgs] =
    Seq(
      NgCompanyMonitoArgs(type_id = "20", type_name = "新增胜诉案件", dimension_table = "wenshu_detail2", dimension_type = "18", flow_type = "0", info_risk_level = "2")
      , NgCompanyMonitoArgs(type_id = "19", type_name = "有恢复执行案件", dimension_table = "wenshu_detail2", dimension_type = "18", flow_type = "1", info_risk_level = "1")
      , NgCompanyMonitoArgs(type_id = "27", type_name = "新增财产保全案件", dimension_table = "wenshu_detail2", dimension_type = "18", flow_type = "1", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "7", type_name = "失信信息移除", dimension_table = "NG_COMPANY_DISHONEST_INFO", dimension_type = "7", flow_type = "1", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "32", type_name = "新增一条失信", dimension_table = "NG_COMPANY_DISHONEST_INFO", dimension_type = "7", flow_type = "2", info_risk_level = "2")
      , NgCompanyMonitoArgs(type_id = "18", type_name = "限制高消费移除", dimension_table = "NG_COMPANY_ZXR_RESTRICT", dimension_type = "17", flow_type = "1", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "6", type_name = "有恢复执行案件即将开庭", dimension_table = "NG_COMPANY_COURT_OPEN_ANNOUNCEMENT", dimension_type = "6", flow_type = "1", info_risk_level = "2")
      , NgCompanyMonitoArgs(type_id = "22", type_name = "有资产即将被司法拍卖", dimension_table = "NG_AUCTION_TRACKING", dimension_type = "19", flow_type = "0", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "8", type_name = "出质了持有股权", dimension_table = "NG_COMPANY_EQUITY_INFO", dimension_type = "8", flow_type = "0", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "33", type_name = "出质的股权变更为无效", dimension_table = "NG_COMPANY_EQUITY_INFO", dimension_type = "8", flow_type = "1", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "13", type_name = "抵押了公司土地", dimension_table = "NG_COMPANY_LAND_MORTGAGE", dimension_type = "12", flow_type = "0", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "21", type_name = "接受了他人土地抵押", dimension_table = "NG_COMPANY_LAND_MORTGAGE", dimension_type = "12", flow_type = "1", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "12", type_name = "购买了新的土地", dimension_table = "NG_COMPANY_LAND_ANNOUNCEMENT", dimension_type = "11", flow_type = "1", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "10", type_name = "新增了股东", dimension_table = "NG_COMPANY_HOLDER", dimension_type = "10", flow_type = "0", info_risk_level = "2")//无全量
      , NgCompanyMonitoArgs(type_id = "11", type_name = "新增对外投资", dimension_table = "NG_COMPANY_HOLDER", dimension_type = "10", flow_type = "1", info_risk_level = "3")//无全量
      , NgCompanyMonitoArgs(type_id = "34", type_name = "投资的公司，所占股份下降", dimension_table = "NG_COMPANY_HOLDER", dimension_type = "10", flow_type = "0", info_risk_level = "2")//无全量
      , NgCompanyMonitoArgs(type_id = "2", type_name = "注册资本上升", dimension_table = "NG_INCREASE_REGISTERED_CAPITAL_INFO", dimension_type = "2", flow_type = "0", info_risk_level = "2")
      , NgCompanyMonitoArgs(type_id = "9", type_name = "有新的融资", dimension_table = "NG_COMPANY_FINANCE", dimension_type = "9", flow_type = "0", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "1", type_name = "新增破产公告", dimension_table = "NG_BANKRUPTCY_OPEN_CASE", dimension_type = "1", flow_type = "1", info_risk_level = "2")
      , NgCompanyMonitoArgs(type_id = "3", type_name = "新增招标信息", dimension_table = "NG_COMPANY_BID", dimension_type = "3", flow_type = "0", info_risk_level = "3")//待处理
      , NgCompanyMonitoArgs(type_id = "14", type_name = "资产被抵押", dimension_table = "NG_COMPANY_MORTGAGE_INFO", dimension_type = "13", flow_type = "0", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "16", type_name = "新增商标信息", dimension_table = "NG_COMPANY_TM", dimension_type = "15", flow_type = "0", info_risk_level = "1")
      , NgCompanyMonitoArgs(type_id = "15", type_name = "新增专利信息", dimension_table = "NG_COMPANY_PATENT", dimension_type = "14", flow_type = "0", info_risk_level = "2")
      , NgCompanyMonitoArgs(type_id = "4", type_name = "新增著作权信息", dimension_table = "NG_COMPANY_COPYRIGHT_REG", dimension_type = "4", flow_type = "0", info_risk_level = "1")
      , NgCompanyMonitoArgs(type_id = "5", type_name = "新增作品著作权", dimension_table = "NG_COMPANY_COPYRIGHT_WORKS", dimension_type = "5", flow_type = "0", info_risk_level = "1")
      , NgCompanyMonitoArgs(type_id = "23", type_name = "有资产选定询价评估机构", dimension_table = "NG_ZXR_EVALUATE", dimension_type = "20", flow_type = "0", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "24", type_name = "有资产完成询价评估", dimension_table = "NG_ZXR_EVALUATE_RESULTS", dimension_type = "21", flow_type = "0", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "26", type_name = "新增行政许可", dimension_table = "NG_COMPANY_LICENSE", dimension_type = "22", flow_type = "0", info_risk_level = "2")
      , NgCompanyMonitoArgs(type_id = "28", type_name = "在外持有股权被冻结", dimension_table = "NG_COMPANY_JUDICIAL_ASSISTANCE", dimension_type = "23", flow_type = "1", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "29", type_name = "有股东持有的股权被冻结", dimension_table = "NG_COMPANY_JUDICIAL_ASSISTANCE", dimension_type = "23", flow_type = "1", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "30", type_name = "有股权解除冻结", dimension_table = "NG_COMPANY_JUDICIAL_ASSISTANCE", dimension_type = "23", flow_type = "1", info_risk_level = "3")
      , NgCompanyMonitoArgs(type_id = "31", type_name = "有股东持有的股权解除冻结", dimension_table = "NG_COMPANY_JUDICIAL_ASSISTANCE", dimension_type = "23", flow_type = "1", info_risk_level = "3")
    )


  def get_args(type_id: String): NgCompanyMonitoArgs = {
    args.find(p => type_id.equals(p.type_id)).getOrElse(throw new NullPointerException("type_id is not found !!!"))
  }
}
