package com.winhc.bigdata.spark.ng.monitor.table

import com.winhc.bigdata.spark.ng.monitor.{AbstractDailyHandle, EntityInfo}
import com.winhc.bigdata.spark.implicits.MapHelper._
import scala.collection.mutable
/**
 * @Date: 2020/8/12 18:50
 * @Description: 有恢复执行案件即将开庭(被告)
 */
case class company_court_open_announcement(is_inc: Boolean) extends AbstractDailyHandle {

  override def get_conditional_filter(): String = {
    "AND  new_data['case_no'] like concat('%','恢','%')"
  }

  override def getEntityInfo(new_data: Map[String, String]): Seq[EntityInfo] = {
    try {
      var list: mutable.Seq[EntityInfo] = mutable.Seq.empty
      val company_info = new_data.getOrEmptyStr("defendant_info")
      list = list ++ getEntity(company_info, "litigant_id", "name","6")
      list
    } catch {
      case e: Exception => {
        logError(e.getMessage, e)
        Seq.empty
      }
    }
  }

}
