package com.winhc.bigdata.spark.ng.monitor.table

import com.alibaba.fastjson.JSONArray
import com.winhc.bigdata.spark.ng.monitor.{AbstractDailyHandle, EntityInfo}
import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.utils.BaseUtil._
import org.apache.commons.lang3.StringUtils
import com.alibaba.fastjson.JSON
import scala.collection.mutable.ListBuffer

/**
 * @Date: 2021/1/07 18:50
 * @Description: 询价评估结果
 */
case class zxr_evaluate_results(is_inc: Boolean) extends AbstractDailyHandle {

  override protected def get_money(new_map: Map[String, String]): Double = {
    val money = new_map("money")
    if (StringUtils.isBlank(money)) {
      0D
    } else {
      val array: JSONArray = JSON.parseArray(money)
      if (array.size() == 0) {
        0D
      } else {
        val list = ListBuffer[Double]()
        for (i <- 0 until array.size()) {
          list.append(array.getString(i).toDouble)
        }
        amt_div(amt_div(list.sum.toString, list.size.toString).toString, "10000")
      }
    }
  }

  override def getEntityInfo(new_data: Map[String, String]): Seq[EntityInfo] = {
    Seq(EntityInfo(keyno = new_data.getOrEmptyStr("keyno"), name = new_data.getOrEmptyStr("name"),type_id = "24"))
  }
}
