package com.winhc.bigdata.spark.ng.utils

import com.winhc.bigdata.spark.utils.BaseUtil
import org.apache.commons.lang3.StringUtils

/**
 * @author: XuJiakai
 * @date: 2021/11/17 10:08
 */
case class DomainEntity(domain: String) extends Comparable[DomainEntity] {
  override def compareTo(o: DomainEntity): Int = domain.length.compareTo(o.domain.length)

  override def hashCode(): Int = {
    val d = BaseUtil.trim_url_domain(domain)
    if (d == null) {
      domain.hashCode
    } else d.hashCode()
  }

  override def equals(obj: Any): Boolean =
    obj match {
      case d: DomainEntity => {
        var thisDomain = BaseUtil.trim_url_domain(domain)
        var otherDomain = BaseUtil.trim_url_domain(d.domain)
        if (thisDomain == null) {
          thisDomain = domain
        }
        if (otherDomain == null) {
          otherDomain = d.domain
        }
        thisDomain.equals(otherDomain)
      }
      case _ =>
        false
    }
}


object DomainEntity {
  def main(args: Array[String]): Unit = {
    val seq = "https://网络.中国,www.yuxianweb.com,baijinggame.cn,www.baijinggame.cn,baijinggame.com,www.baijinggame.com,yuxianweb.cn,www.yuxianweb.cn"

   val ss =  seq.replaceAll("[;\t\n]",",").split(',').filter(StringUtils.isNotEmpty).distinct.mkString(",")
    println(ss)

    val s = seq.split(",").map(s => DomainEntity(s)).groupBy(d => d.hashCode()).map(s => s._2.max).map(d => d.domain).mkString(",")
    println(s)
  }
}